Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003979TestLinkThird party componentspublic2010-11-05 11:162010-11-14 12:07
ReporterJulian 
Assigned ToJulian 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003979: Apply grid filters to exttables
Descriptionfollowing this example:
http://dev.sencha.com/deploy/dev/examples/grid-filtering/grid-filter-local.html [^]

to be done:

1. add plugin files
2. remove html comments for proper sorting of numeric values -> use sortType on table fields definition (necessary to make numeric filter work - cannot handle comments)
-> update documentation of exttable
3. add button to toolbars to "Reset Filters"
4. add filter type and sortType on column definition for each table
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0012350)
Julian (reporter)
2010-11-09 16:28

1. add plugin files
DONE
2. remove html comments for proper sorting of numeric values -> use sortType on table fields definition (necessary to make numeric filter work - cannot handle comments)
ONLY for metricsdashboard right now.
-> update documentation of exttable
3. add button to toolbars to "Reset Filters"
DONE
4. add filter type and sortType on column definition for each table
ONLY for metricsdashboard right now.

-> we need to think about implementing appropriate filter / sortType for each column on each report on 1.9.1 or onlx on 2.0

Need your feedback.
(0012420)
Julian (reporter)
2010-11-12 07:52

will set to resolved as filters have been added.
now it is important to create issues for each report if columns do not use the appropriate filter.

right now only metrics Dashboard uses special "numeric" filters. All other columns do only offer "String" filter.
(0012459)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-11-05 11:16 Julian New Issue
2010-11-05 11:16 Julian Status new => assigned
2010-11-05 11:16 Julian Assigned To => Julian
2010-11-05 11:16 Julian Description Updated View Revisions
2010-11-09 16:28 Julian Note Added: 0012350
2010-11-12 07:52 Julian Note Added: 0012420
2010-11-12 07:52 Julian Status assigned => resolved
2010-11-12 07:52 Julian Fixed in Version => 1.9 (Prague)
2010-11-12 07:52 Julian Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012459
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker